Customers
Blacklist Customer
Blacklist a customer for the authenticated business using the customer reference.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
reference?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/customer/blacklist" \ -H "Content-Type: application/json" \ -d '{}'{
"requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
"requestTimestamp": "2025-07-16 09:15:00",
"message": "Customer has been blacklisted.",
"statusCode": 200,
"data": {
"id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
"firstName": "Laurianne",
"lastName": "MacGyver",
"email": "Bianka_Cole@yahoo.com",
"phoneNumber": "+2347009069130",
"reference": "dp_cust_iovciv7ovnw1qcx",
"businessState": "TEST",
"isBlacklisted": true,
"hasWallet": true,
"wallet": {
"id": "469e02df-43ae-46e7-8ebc-0b0ab5e19303",
"walletId": "469e02df-43ae-46e7-8ebc-0b0ab5e19304",
"businessId": "469e02df-43ae-46e7-8ebc-0b0ab5e19305",
"currency": "NGN",
"category": "customer",
"type": "multi_use",
"status": "active",
"accountNumber": "6754358291",
"accountName": "dp_pay/wilkinson, sawayn and sch/wilkinson, sawayn and schroeder ltd",
"provider": "duplo"
},
"status": "ACTIVE",
"source": "API",
"createdAt": "2025-10-24 12:37:58"
}
}{
"message": "Invalid request data.",
"statusCode": 400
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Unauthenticated.",
"statusCode": 401
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Customer not found.",
"statusCode": 404
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "The given data was invalid.",
"errors": {
"phone": [
"The phone field must be a valid phone number."
]
},
"statusCode": 422
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "An error occurred while processing your request.",
"statusCode": 500
}How is this guide?
Last updated on